#!/bin/bash
# Filename:      ${GRML_FAI_CONFIG}/config/scripts/GRMLBASE/01-packages
# Purpose:       check for packages that have been requested but could not be installed
# Authors:       grml-team (grml.org), (c) Michael Prokop <mika@grml.org>
# Bug-Reports:   see http://grml.org/bugs/
# License:       This file is licensed under the GPL v2 or any later version.
################################################################################

set -u
set -e

PACKAGE_LIST=/var/log/install_packages.list

if ! [ -r "$target/${PACKAGE_LIST}" ] ; then
   echo "No $target/${PACKAGE_LIST} found, will not run package validation check."
else
   printf "Validating package list: "
   TMPFILE=$(mktemp)

   $ROOTCMD dpkg --list $(grep -v '^#' $target/${PACKAGE_LIST} | grep -v -- '-$') 2>&1 | \
     grep -e '^un' -e 'No packages' > "$TMPFILE" || true

   awk '/^un/ {print $2 " not_installable"}' "$TMPFILE" > "$LOGDIR/package_errors.log"
   awk '/^No packages found matching/ {print $5 " not_available"}' "$TMPFILE" | \
     sed 's/\. / /' >> "$LOGDIR/package_errors.log"

   if [ -s "$TMPFILE" ] ; then
      printf "failed (there have been errors, find them at $LOGDIR/package_errors.log)\n"
   else
      printf "done - no errors found\n"
   fi

   rm -f "$TMPFILE"
fi

## END OF FILE #################################################################
# vim:ft=sh expandtab ai tw=80 tabstop=4 shiftwidth=2
